Name:           qtermwidget
Version:        0.7.1
Release:        %mkrel 1
Summary:        Qt5 terminal widget
License:        GPLv2
Group:          Development/Other
URL:            https://github.com/lxde/qtermwidget
Source:         https://github.com/lxde/%{name}/archive/%{version}.tar.gz/#/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
QTermWidget is an open source project based on KDE4 Konsole application.
The main goal of this project is to provide unicode-enabled,
embeddable QT5 widget for using as a built-in console (or terminal
emulation widget).

%files
%doc AUTHORS
%{_datadir}/%{name}5/

#-----------------------------------------------------------------------

%define libqtermwidget5_major 0
%define libqtermwidget5 %mklibname qtermwidget5_ %libqtermwidget5_major

%package -n %libqtermwidget5
Summary:        Runtime library for %{name}
Group:          System/Libraries
Requires:       %name = %version-%release
Conflicts:      %name < 0.7.0-1

%description -n %libqtermwidget5
Librairie File needed by %name.

%files -n %libqtermwidget5
%_libdir/libqtermwidget5.so.%{libqtermwidget5_major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname %name -d

%package        -n     %libnamedev
Summary:        Qt5 terminal widget - devel package
Group:          Development/Other
Requires:       %libqtermwidget5 >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.0

%description -n %libnamedev
This package provides headers files for qtermwidget development.

%files -n %libnamedev
%dir %{_includedir}/%{name}5
%{_includedir}/%{name}5/*.h
%{_libdir}/lib%{name}5.so
%{_datadir}/cmake/%{name}5/
%{_libdir}/pkgconfig/%{name}5.pc

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_qt5

%make_build

%install
%make_install -C build



%changelog
* Wed Jan 18 2017 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1082328
- new version: 0.7.1

* Thu Nov 10 2016 neoclust <neoclust> 0.7.0-2.mga6
+ Revision: 1066196
- Fix devel package name and requires

* Thu Nov 10 2016 neoclust <neoclust> 0.7.0-1.mga6
+ Revision: 1066191
- New version 0.7.0

* Sat Jan 09 2016 dglent <dglent> 0.6.0-1.mga6
+ Revision: 920703
- Version 0.6.0
- Qt5 build

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 745477
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 688543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 517900
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 matteo <matteo> 0.4.0-1.mga3
+ Revision: 268729
- new version

* Thu Jan 05 2012 matteo <matteo> 0.2.0-3.mga2
+ Revision: 191929
- bumped release

* Mon Dec 19 2011 matteo <matteo> 0.2.0-2.mga2
+ Revision: 184368
- spec file reviewed

* Sun Dec 18 2011 matteo <matteo> 0.2.0-1.mga2
+ Revision: 183486
- fixed Version number
- spec file cleaned
- imported package qtermwidget

